package it.eng.spago4q.exporter;

import java.util.HashSet;

import it.eng.spago4q.testUtils.AbstractDBTestCase;

public class ExporterCoordinatorImplTest extends AbstractDBTestCase {

	private static final String FLAT_FILE = "test/flatFile/s4qFlatFileDefaultCoordinator.xml";

	public ExporterCoordinatorImplTest(final String value) {
		super(value);
	}

	@Override
	protected String getFlatFile() {
		return FLAT_FILE;
	}

	public void testExportDataSource() {
		ExporterCoordinatorImpl exporterCoordinator = new ExporterCoordinatorImpl();
		HashSet<Integer> ids = new HashSet<Integer>();
		ids.add(1);
		ids.add(2);
		exporterCoordinator
				.exportOperation(ids, "test/operationUrl",
						"test/dataSourceUrl", "test/interfaceTypeUrl",
						"test/scriptUrl");
	}

}
