package it.eng.spago4q.exporter;

import it.eng.spago4q.dao.AbstractHibernateDAO;
import it.eng.spago4q.metadata.S4qEScript;
import it.eng.spago4q.testUtils.AbstractDBTestCase;

import org.hibernate.Hibernate;
import org.hibernate.Session;
import org.hibernate.Transaction;

public class ScriptExportTest extends AbstractDBTestCase{
	
	private static final String FLAT_FILE = "test/flatFile/s4qFlatFileDefaultCoordinator.xml";

	public ScriptExportTest(final String value) {
		super(value);
	}

	@Override
	protected String getFlatFile() {
		return FLAT_FILE;
	}
	public void testExportScript() {
		Session session = new AbstractHibernateDAO().getCurrentSession();
		Transaction tx = session.beginTransaction();
		S4qEScript script = (S4qEScript)session.get(S4qEScript.class, 1);
		Hibernate.initialize(script);

		ScriptExporter scriptExporter = new ScriptExporter();
		System.out.println(scriptExporter.exportScript(script));
	}
}
